
Smart Proxy - Bug #17045

Templates Smart Proxy API does not pass Hostgroup provisioning

10/20/2016 08:37 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Templates   

Target version: 1.14.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1387236 Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/468

  

Description

Templates API does proxy all templates kinds, but it requires URL to be in this form:

/unattended/:kind

In case of hostgroup provisioning, URLs are different:

/unattended/template/XXX/YYY

Related issues:

Related to Smart Proxy - Bug #20700: Hostgroup provisioning templating API do... Closed 08/23/2017

Associated revisions

Revision 3b81b1d9 - 12/07/2016 07:49 AM - Lukas Zapletal 

Fixes #17045 - hostgroup templates URLs proxied correctly

History

#1 - 10/20/2016 08:39 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/468 added

#2 - 11/04/2016 12:46 PM - Daniel Lobato Garcia

- Target version set to 1.5.2

#3 - 12/07/2016 08:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3b81b1d90378e23bc10f9100c6d8f243379894f0.

#4 - 12/07/2016 10:41 AM - Dominic Cleal

- translation missing: en.field_release set to 210

#5 - 12/13/2016 09:57 AM - Daniel Lobato Garcia

- Target version changed from 1.5.2 to 1.4.3

#6 - 08/23/2017 07:01 AM - Lukas Zapletal

- Related to Bug #20700: Hostgroup provisioning templating API does not work with spaces added
